Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Class ModuleCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ModuleCPInfo

public class ModuleCPInfo extends ConstantCPInfo
Represents the module info constant pool entry

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

  `CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleCPInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read(DataInputStream cpStream)`
  read a constant pool entry from a class stream.
  `void`
  `resolve(ConstantPool constantPool)`
  Resolve this constant pool entry with respect to its dependents in the constant pool.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

  `getValue, setValue`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

  `getNumEntries, getTag, isResolved, readEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModuleCPInfo

    public ModuleCPInfo()

- ## Method Details

  - ### read

    public void read(DataInputStream cpStream) throws IOException
    Description copied from class: `ConstantPoolEntry`
    read a constant pool entry from a class stream.
    Specified by:
      `read` in class `ConstantPoolEntry`
    Parameters:
      `cpStream` - the DataInputStream which contains the constant pool entry to be read.
    Throws:
      `IOException` - if there is a problem reading the entry from the stream.

  - ### resolve

    public void resolve(ConstantPool constantPool)
    Description copied from class: `ConstantPoolEntry`
    Resolve this constant pool entry with respect to its dependents in the constant pool.
    Overrides:
      `resolve` in class `ConstantPoolEntry`
    Parameters:
      `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`